Bug 418681 - Review Request: rubygem-gem2rpm - Generate rpm specfiles from gems
Review Request: rubygem-gem2rpm - Generate rpm specfiles from gems
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-10 14:24 EST by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-15 18:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pnasrat: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-12-10 14:24:46 EST
Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-gem2rpm.spec
SRPM URL: <srpm info here>

Generate source rpms and rpm spec files from a Ruby Gem.  The spec file
tries to follow the gem as closely as possible, and be compliant with the
Fedora rubygem packaging guidelines
Comment 1 David Lutterkort 2007-12-10 14:25:29 EST
Ugh .. forgot the SRPM URL:
Comment 2 Till Maas 2007-12-15 10:39:20 EST
- Source0: is not a URL, see: https://fedoraproject.org/wiki/Packaging/SourceURL
Is there a better URL than
http://rubyforge.org/frs/download.php/29000/gem2rpm-0.5.2.gem? The 29000 is
annoying, because it needs to be adjusted with every release.

- rpmlint: ok (silent)
- builds on koji: ok - http://koji.fedoraproject.org/koji/taskinfo?taskID=294761
- naming: ok
- License: ok (GPLv2+ or Ruby) & included
- Buildroot: ok

I will complete this review later, gtg.
Comment 3 Till Maas 2007-12-15 16:10:12 EST
- the package does not own the directories it creates:

$ LANG=C rpm -qf /usr/lib/ruby/gems/1.8/gems/gem2rpm-0.5.2/
file /usr/lib/ruby/gems/1.8/gems/gem2rpm-0.5.2 is not owned by any package

Afaik, adding this to %files should fix this:
%dir %{geminstdir}

- changelog entries: normally, the e-mail address is within <> and not within ()
- gem source: md5sum matches:
9182e2864337b3dc92f49e87b2d8d8a6  gem2rpm-0.5.2.gem
9182e2864337b3dc92f49e87b2d8d8a6  gem2rpm-0.5.2.gem.1

The source URL needs to be fixed and the missing directory needs to be owned,
then I will approve this package.
Comment 4 David Lutterkort 2008-01-03 12:42:46 EST
Thanks for the review. I addressed all your points above:

Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-gem2rpm.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-gem2rpm-0.5.2-2.src.rpm
Comment 5 Till Maas 2008-02-04 14:16:56 EST
Sorry for slowing this down, I do not have the time currently.
Comment 6 Jason Tibbitts 2008-02-15 22:13:57 EST
I see this is assigned to Paul but he hasn't made any comments and fedora-review
is not set.  What's up?  Is this currently under review?
Comment 7 Paul Nasrat 2008-02-18 10:01:51 EST
Will review this evening.
Comment 8 Paul Nasrat 2008-02-20 03:26:01 EST
Checksum of source does not match Source0 from url.

lftpget http://gems.rubyforge.org/gems/gem2rpm-0.5.2.gem
[pnasrat@fedora-8-vm SPECS]$ sha1sum gem2rpm-0.5.2.gem ../SOURCES/gem2rpm-0.5.2.gem 
1d6194dc1e46fc2ff37f6c8aac068ab7302b3345  gem2rpm-0.5.2.gem
cc6ae4ac42dc49d515626916e7c51168c343da8d  ../SOURCES/gem2rpm-0.5.2.gem
Comment 9 Paul Nasrat 2008-02-20 03:33:08 EST
The rubygem-gem2spec.spec in data.tar.gz differs as it is the spec for the
package and has the fixes, I guess you either need to release a point version or
do 0.5.3 with the packaging fixes, or use the original rubyforge gem and not
generated gem from svn.
Comment 10 Paul Nasrat 2008-03-09 08:21:27 EDT
David - any chance of addressing the point I made in Comment #8 and #9?
Comment 11 David Lutterkort 2008-03-11 14:14:25 EDT
Sorry for the long delay; I've now released 0.5.3 upstream and updated the RPM:

SRPM: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-gem2rpm-0.5.3-1.src.rpm
Specfile: http://people.redhat.com/dlutter/yum/spec/rubygem-gem2rpm.spec
Comment 12 David Lutterkort 2008-04-30 12:40:32 EDT
Ping - Paul, can you have another look ? Should be very close to done now.
Comment 13 Paul Nasrat 2008-05-05 12:14:33 EDT
rpmlint silent
builds fine
naming ok
license matches
buildroot ok
follows spec conventions
Build in mock

Conforms to guidelines

Source sha1 matches Source0

All good 
Comment 14 David Lutterkort 2008-05-14 16:58:03 EDT
New Package CVS Request
Package Name: rubygem-gem2rpm
Short Description: Generate rpm specfiles from gems
Owners: lutter stahnma
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes
Comment 15 Kevin Fenzi 2008-05-15 12:05:05 EDT
cvs done.
Comment 16 David Lutterkort 2008-05-15 18:47:28 EDT
Imported and built successfully;

Build info: http://koji.fedoraproject.org/koji/buildinfo?buildID=49223

Note You need to log in before you can comment on or make changes to this bug.